<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
      <div class="row">
          <div class="col-lg-12">
              <div class="ibox float-e-margins">
                  <div class="ibox-title">
                      <h3>
                          <strong>Manage Tickets</strong>
                      </h3>
                      <div class="fm-row">
                          <div class="row">
                              <div class="col-sm-3">
                                  <input autocomplete="off"  [(ngModel)]="zendeskId" name="zendeskId" type="text" class="form-control input-sm-3" placeholder="Search For Zendesk Id"
                                  />
                              </div>
                              <div class="col-sm-3">
                                <input autocomplete="off"  [(ngModel)]="uniqueId" name="uniqueId" type="text" class="form-control input-sm-3" placeholder="Search For Unique Id"
                                />
                            </div>
                              <div class="col-xs-3 custom-position">
                                <input [(ngModel)]="startDate" name="start_date" [max]="endDate" [owlDateTimeTrigger]="dtPicker1"
                                  [owlDateTime]="dtPicker1" placeholder="Start date" class="form-control">
                                <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker1"></i>
                                <owl-date-time [pickerMode]="'dialog'" #dtPicker1></owl-date-time>
                              </div>
                              <div class="col-xs-3 custom-position">
                                <input [(ngModel)]="endDate" name="end_date" [min]="startDate" [max]="max"
                                  [owlDateTimeTrigger]="dtPicker2" [owlDateTime]="dtPicker2" placeholder="End date" class="form-control">
                                <i aria-hidden="true" class="fa fa-calendar" style="font-size: 20px;float: right;" [owlDateTimeTrigger]="dtPicker2"></i>
                                <owl-date-time [pickerMode]="'dialog'" #dtPicker2></owl-date-time>
                              </div>
                          </div>
                      </div>
                      <div class="fm-row">
                          <div class="row">
                                <div class="col-sm-3">
                                    <input autocomplete="off"  [(ngModel)]="driverId" name="driverId" type="text" class="form-control input-sm-3" placeholder="Search For Driver Id"
                                    />
                                </div>
                                <div class="col-sm-3">
                                <input autocomplete="off"  [(ngModel)]="phone" name="phone" type="text" class="form-control input-sm-3" placeholder="Search For Phone number"
                                />
                                </div>
                              <div class="col-sm-6 text-right">
                                <span matTooltip="CSV" style="cursor: pointer">
                                        <img src="assets/img/csv.png" (click)="createCsv()" alt="my DTC"/>
                                </span>
                                  <button type="get" class="btn btn-sm btn-primary blue" (click)="searchOrder()">
                                      <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                                  <button class="btn btn-sm btn-primary green" (click)="searchRefresh()">
                                      <i aria-hidden="true" class="fa fa-refresh"></i> Refresh</button>
                                  <button class="btn btn-sm btn-primary red" (click)="searchReset()">
                                      <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters</button>
                                  <ng-container *ngIf="aclAdd">
                                      <button class="btn btn-primary btn-sm blue" [routerLink]="['/admin/administration/ticket/add']">Add new record</button>
                                  </ng-container>
                              </div>
                          </div>
                      </div>

                      <div class="ibox-content">
                          <div class="table-responsive">
                              <table aria-describedby="Manage Tickets" class="table table-striped table-bordered table-responsive">
                                  <thead>
                                     <tr>
                                       <th scope="col">Ticket No</th>
                                       <th scope="col">Order No</th>
                                       <th scope="col">Order Created Date</th>
                                       <th scope="col">Customer Name</th>
                                       <th scope="col">Customer Email</th>
                                       <th scope="col">Customer Phone</th>
                                       <th scope="col">Driver Name</th>
                                       <th scope="col">Driver Id</th>
                                       <th scope="col">Order End Time</th>
                                       <th scope="col">Complaint</th>
                                       <th scope="col">Issue by sup team</th>
                                       <th scope="col">Operator response</th>
                                       <th scope="col">Feedback from customer</th>
                                       <th scope="col">Action for feedback from customer</th>
                                       <th scope="col">Order Updated At</th>
                                       <th scope="col">Action</th>
                                     </tr>
                                  </thead>
                                  <tbody>
                                    <span *ngIf="searchSubmit">
                                        <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                                    </span>
                                     <tr *ngFor="let zen of zendeskList">
                                       <td>{{zen.zen_id}}</td>
                                       <td>{{zen.unique_order_id}}</td>
                                       <td>{{zen.order_start_time}}</td>
                                       <td>{{zen.customer_name}}</td>
                                       <td>{{zen.customer_email}}</td>
                                       <td>+{{zen.customer_country_code}}-{{zen.customer_phone_number}}</td>
                                       <td>{{zen.driver_name}}</td>
                                       <td>{{zen.driver_username}}</td>
                                       <td>{{zen.order_end_time}}</td>
                                       <td>{{zen.complaint}}</td>
                                       <td>{{zen.issue_by_sup_team}}</td>
                                       <td>{{zen.oper_resp}}</td>
                                       <td>{{zen.feedback_from_cust}}</td>
                                       <td>{{zen.action_for_feedback_from_cust}}</td>
                                       <td>{{zen.updated_at}}</td>
                                       <td>
                                        <span *ngIf="aclEdit" matTooltip="Edit">
                                            <a [routerLink]="['/admin/administration/ticket/edit',zen._id]">
                                                <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                                            </a>
                                        </span>&nbsp;&nbsp;&nbsp;
                                        <span *ngIf="aclDelete" matTooltip="Delete">
                                            <a (click)="deleteOrder(zen);">
                                                <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                                            </a>
                                        </span>
                                       </td>
                                     </tr>
                                  </tbody>
                              </table>
                          </div>
                          <div class="container-fluid" *ngIf="listCount>0">
                            <div class="row col-md-12 text-center">
                                <div class="dataTables_info1">
                                    <div *ngIf="del">
                                        <ngb-pagination [collectionSize]="listCount" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize" aria-label="Default pagination"
                                            [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                    </div>
                                    <div *ngIf="!del">
                                        <ngb-pagination [collectionSize]="listCount" (pageChange)="pagingAgent($event)" [page]="1" [pageSize]="pageSize" aria-label="Default pagination"
                                            [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="container-fluid" *ngIf="listCount==0">
                            <div class="row">
                                <div class="dataTables_info1">
                                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                                        No records found.
                                    </div>
                                </div>
                            </div>
                        </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>